From 2921914af7e69b30f1ad32a684cd0666e6ae1101 Mon Sep 17 00:00:00 2001
From: Sylvestre Ledru <sylvestre.ledru@scilab-enterprises.com>
Date: Sun, 17 Jun 2012 22:29:26 +0200
Subject: [PATCH 1/2] PATH_MAX is not defined under GNU/Hurd

---
 src/libgui/RCS.cpp |    8 ++++++++
 1 files changed, 8 insertions(+), 0 deletions(-)

diff --git a/src/libgui/RCS.cpp b/src/libgui/RCS.cpp
index 28a77c7..508e74b 100644
--- a/src/libgui/RCS.cpp
+++ b/src/libgui/RCS.cpp
@@ -66,6 +66,14 @@
 
 #include <iostream>
 
+#ifndef PATH_MAX
+#ifdef MAXPATHLEN
+#define	PATH_MAX MAXPATHLEN
+#else
+#define	PATH_MAX 1024
+#endif
+#endif
+
 
 using namespace std;
 using namespace libfwbuilder;
-- 
1.7.9.1

